﻿@model BaseFlyerTemplateViewModel
@{
    ViewBag.Title = "Class Catalog Report";
    Layout = null;
}
<style>

        .flyer-header-register-info > div {
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%,-50%);
        }

    .flyer-header-theme {
        height: auto !important;
    }
</style>


<form novalidate>

    <div class="view-container gothambold-font">

        <div class="title-bar">
            <div class="back">
                <a class="action" onclick="window.history.back()">
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1>
                    Class catalog
                </h1>
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>

        <div class="fleyer-sections-container">

            <div class="input-control choosen" data-role="input-control">
                <label class="req-star">Please select a school</label>
                <select chosen
                        ng-model="Model.SchoolId"
                        ng-change="fillSeasonData(Model.SchoolId)"
                        data-placeholder="Select school"
                        ng-options="obj.Value as obj.Text for obj in AllSchools"></select>

            </div>

            <div class="input-control choosen" data-role="input-control" ng-show="Model.SchoolId != '' ">
                <label class="req-star">Please select a season</label>
                <select chosen
                        ng-model="Model.SeasonId"
                        data-placeholder="Select season"
                        ng-options="obj.Value as obj.Text for obj in AllSeasons"></select>

            </div>

            <label class="req-star">Flyer name</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
                <input type="text" ng-model="Model.Name" @Html.AngTooltipValidationFor(model => model.Name)>
            </div>

            <button class="success large place-right button" ng-click="FillData()">Fetch classes</button>
            <div class="clearfix"></div>
        </div>

        <div class="fleyer-sections-container flyer-theme " ng-class="Model.Body.CountPMAndAM < 6 ? 'flyer-lg': 'flyer-sm'">
            <div class="overflow-y-scroll">
                <div style="margin-bottom: 16px;" ng-class="['flyer-header-theme','flyer-alignment',{'green-lines':Model.IsGreenColor==true,'blue-lines':Model.IsBlueColor==true,'black-lines':Model.IsBlueColor==false && Model.IsGreenColor==false}]">
                    <div style="height:140px;float:left;margin: 10px 0;">
                        <img style="vertical-align:middle" class="partner-logo" src="~/Areas/Dashboard/Content/Image/bannerRightAtSchool.jpg" />
                    </div>

                    <div class="flyer-header-box-season">
                        <h1 class="flyer-header-school-name">{{Model.Body.SchoolName}}</h1>
                        <h3 class="flyer-header-sprint-season">
                            <span style="color:#9eb55b">{{Model.Body.SeasonName}}</span>
                            After School Electives
                        </h3>
                        <span class="flyer-header-season-date" style="color:#9eb55b">{{Model.Body.SeasonDate}}</span>
                    </div>
                    <div class="flyer-header-register-info" style="color:#22afb9">
                        <div>
                            <h4>REGISTER</h4>
                            <h4>
                                {{Model.Body.RegistrationOpenDate}}
                            </h4>
                            <h6>rightatschool.com</h6>
                            <h6>{{Model.Footer.Phone}}</h6>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                </div>
                <div class="clearfix"></div>
                <div ng-class="{'blue-header-table':Model.IsBlueColor==true}">
                    @Html.Partial("_TemplateClassCatalogContentPreview", Model)
                </div>
             

            </div>
        </div>
        <hr />

        <button class="success large place-right button" ng-click="SaveFlyer()">Save</button>
        <div class="clearfix"></div>
    </div>
</form>




